---
title: "List all IP Pools."
slug: "list-all-ip-pools-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/list-all-ip-pools-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List all IP Pools.
Get/ip-pools
List all IP Pools visible to current user.
SecurityHTTPType bearer
Query parametersquerystring
Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.
rangestring
'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'
Example0-10
orderBystring
The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.
Examplename
descendingstring
Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.
filterBy
Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.
object property*string additionalProperties
Example{
"name": "us-east",
"tags": "aws"
}
Responses200
List of IP Pools.
Expand Allobject rangestring
The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.
Example0-30/54
orderBystring
The field name used to sort the list.
Examplename
descendingboolean
Whether the sorting is applied descending or ascending.
queries Array of string
The queries applied to the list.
string
totalCountinteger
The total readable count of entities. Not influenced by the query.
Example328
filterBy Array of object (FilterBy)
The filters applied to the list.
object namestring
The field name the filter is applied to.
Examplename
valuestring
The value used for comparison.
ExampleAWS
data Array of object (IpPool)
List of IP Pools.
object idstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
createdstring (date-time)
Create date.
updatedstring (date-time)
Last update date.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
ipVersion6boolean
Whether the IP pool is for v4 or v6.
Defaultfalse
ranges
excludedRanges
leaseTimeDaysinteger
Number of days Allocated IPs will be reserved for device&users before they are reclaimable by others.
Default30
totalinteger (int64)
The total size of the IP Pool.
Example254
currentlyUsedinteger (int64)
Number of IPs in the pool are currently in use by device&users.
Example16
reservedinteger (int64)
Number of IPs in the pool are not currently in use but reserved for device&users according to the "leaseTimeDays" setting.
Example32
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.